#include <AFMotor.h>
#include <Servo.h> 

AF_DCMotor motor1(1);
AF_DCMotor motor2(2, MOTOR12_64KHZ);
AF_DCMotor motor3(3, MOTOR34_64KHZ);
AF_DCMotor motor4(4, MOTOR34_64KHZ);
Servo servo1;
Servo servo2;

int serialInArray[3];
int serialCount = 0;

void setup() {
  Serial.begin(115200); // Initiate Serial Communication
  servo1.attach(10);
  servo2.attach(9);
  }


  void loop() {
    // The following two lines is the most effective way of using Serial and Messenger
    if ( Serial.available() > 0 ) { 
      serialInArray[serialCount] = Serial.read(); // read a byte sent by processing
      serialCount++;  // increment number of bytes received
      if (serialCount > 1 ) {  // when 3 bytes received
        int motorNum = serialInArray[0]; 
        //Serial.println("motor" + motorNum);
        int motorDirection = serialInArray[1];
        //Serial.println(motorDirection);
        switch(motorNum) {
        case 1:
          if (motorDirection >128 && motorDirection < 255) { 
            motor1.run(FORWARD);
            motor1.setSpeed((motorDirection - 128)*2);  
            //delay(10);
            //Serial.println("motor1 go" + motorDirection);
          }
          else if (motorDirection < 128) {
            motor1.run(BACKWARD);
            motor1.setSpeed((128 - motorDirection)*2);  
            //delay(10);
          }
          else if (motorDirection == 128) {
            motor1.run(RELEASE);
            delay(10);
          }
          break;
        case 2:
          if (motorDirection >128 && motorDirection <255) { 
            motor2.run(FORWARD);
            motor2.setSpeed((motorDirection - 128)*2);  
            //delay(10);
            //Serial.println("motor2 go" + motorDirection);
          }
          else if (motorDirection < 128) {
            motor2.run(BACKWARD);
            motor2.setSpeed((128 - motorDirection)*2);  
            //delay(10);
          }
          else if (motorDirection == 128) {
            motor2.run(RELEASE);
            delay(10);
          }
          break;
        case 3:
          if (motorDirection >128 && motorDirection <255) { 
            motor3.run(FORWARD);
            motor3.setSpeed((motorDirection - 128)*2);  
            //delay(10);
            //Serial.print("motor3 go" + motorDirection);
          }
          else if (motorDirection < 128) {
            motor3.run(BACKWARD);
            motor3.setSpeed((128 - motorDirection)*2);  
            //delay(10);
          }
          else if (motorDirection == 128) {
            motor3.run(RELEASE);
            delay(10);
          }
          break;
        case 4:
          if (motorDirection >128 && motorDirection <255) { 
            motor4.run(FORWARD);
            motor4.setSpeed((motorDirection - 128)*2);  
            //delay(10);
            //Serial.print("motor4 go" + motorDirection);
          }
          else if (motorDirection < 128) {
            motor4.run(BACKWARD);
            motor4.setSpeed((128 - motorDirection)*2);  
            //delay(10);
          }
          else if (motorDirection == 128) {
            motor4.run(RELEASE);
            delay(10);
          }
          break;
        case 5:  
          servo1.write(motorDirection);
          break;
        case 6:
          servo2.write(motorDirection);
          break;
        default:
          break;
        }
        serialCount = 0;
      }
    }
  }

